<?php
/*
 * ----------------------------------------------------------------------------
 * EditDesc.php                                                      12/22/2009
 * This script allows the sysop to edit a file's description.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2009 Steve Winn. All Rights Reserved.
 *
 * For licensing information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

$GLOBALS['VA_ACTION'] = 'Editing Files';

require_once('include_dir.php');
require_once($includeDir . 'vadv-php.inc.php');

$classDatabases = new vadvDatabases;

$userno = $GLOBALS['USER']['userno'];

if ($GLOBALS['USER']['securitylevel'] < 255) {
    die('<br /><h4>You do not have access to this section. Please press the BACK button on your browser.</h4>');
}

// Set the passed variables.
// Topic.
if (isset($_GET['t'])) {
    $t = (integer) $_GET['t'];
} else {
    die('<br /><h4>Invalid parameters. Please press the BACK button on your browser.</h4>');
}

// Database.
if (isset($_GET['d'])) {
    $d = (integer) $_GET['d'];
} else {
    die('<br /><h4>Invalid parameters. Please press the BACK button on your browser.</h4>');
}

// Message.
if (isset($_GET['m'])) {
    $m = (integer) $_GET['m'];
} else {
    die('<br /><h4>Invalid parameters. Please press the BACK button on your browser.</h4>');
}

$db = $classDatabases->GetDbInfo($t, $d);
if (!$classDatabases->DbAccess($db)) {
    die('<br /><h4>You do not have access to this section.</h4>');
}

// Get the message information.
$msgInfo = $classDatabases->GetMessageInfo($db, $m);
if ($GLOBALS['USER']['securitylevel'] < $db['minreadsl']) {
    die('<br /><h4>You do not have access to this message. Press the BACK button on your browser.</h4>');
}

if ((isset($_POST['desc'])) &&
    (isset($_POST['e']))) {
    $desc = trim($_POST['desc']);
    if ($desc == '') {
        $desc = ' ';
    }
    $classDatabases->EditMessage($db, $m, $desc);

    print '<script language="JavaScript" type="text/javascript">' . "\r\n";
    print '<!--' . "\r\n";
    print "window.opener.location.href = window.opener.location.href;\r\nwindow.close();\r\n";
    print '//-->' . "\r\n";
    print '</script>' . "\r\n";
    die();
}

// Show page (this one includes header, page and footer)
include($themepath . '/templates/editdesc_popup.php');

?>