<?php
/*
 * ----------------------------------------------------------------------------
 * DispLog.php                                                       12/30/2008
 * This script will display the VADV-PHP log.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2008 Steve Winn. All Rights Reserved.
 *
 * For licensing information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

$GLOBALS['VA_ACTION'] = 'Viewing Log';

require_once('include_dir.php');
require_once($includeDir . 'vadv-php.inc.php');

if (($GLOBALS['USER']['userno'] == 0) ||
    ($GLOBALS['USER']['userno'] == $GLOBALS['CONFIG']['guestacct']) ||
    ($GLOBALS['USER']['securitylevel'] == 0)) {
    die(VADV_LoginError());
}
if ($GLOBALS['USER']['securitylevel'] < 255) {
    die('<br /><h4>You do not have access to this page. Press the BACK button on your browser.</h4>');
}

require_once($includeDir. 'html_header.php');
?>

<html>

<head>
<title>[VADV-PHP Log] - <?php print HtmlSpace($GLOBALS['VA_MAIN']['bbsname']); ?></title>
<meta name="robots" content="noindex,nofollow" />
<meta name="copyright" content="Copyright &#169; <?php print date("Y"); ?>, Steve Winn" />
</head>

<body>
<pre>
<?php
$file = $GLOBALS['VA_SYSPATHS']['data'] . '/VADV-PHP.LOG';
if (file_exists($file)) {
    readfile($file);
} else {
    print 'VADV-PHP.LOG was not found.';
}

print "\r\n\r\n";
print "VADV BBS Log\r\n";
print "-------------------------------------------------------------------------------\r\n";

$file = $GLOBALS['VA_SYSPATHS']['data'] . '/BBS.LOG';
if (file_exists($file)) {
    readfile($file);
} else {
    print 'BBS.LOG was not found.';
}
?>
</pre>
</body>

</html>