<?php
/*
 * ----------------------------------------------------------------------------
 * Todays_Callers.php                                                12/22/2009
 * This script will display the users who have called the BBS for today's date.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2009 Steve Winn. All Rights Reserved.
 *
 * For licensing information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

$GLOBALS['VA_ACTION'] = 'Viewing Today\'s Callers';

require_once('include_dir.php');
require_once($includeDir . 'vadv-php.inc.php');

$classNetworkCallers = new NetworkCallers;
$classTodaysCallers = new TodaysCallers;

define('NOINDEX', true);

$netcalls = $classNetworkCallers->Get();
$callers = $classTodaysCallers->Get();

/*$netcalls[0] = 1;
$netcalls[1]['callno'] = 14921;
$netcalls[1]['nodeno'] = 1425000;
$netcalls[1]['network'] = 'VirtualNET';
$netcalls[1]['channel'] = 1;
$netcalls[1]['time'] = date('H') . ':' . date('i') . ' ';
$netcalls[1]['baudrate'] = 11520;*/

for ($i = 1; $i <= $callers[0]; $i++) {
    $time = $callers[$i]['time'] . ' ' . date("O");
    $callerTime[$i] = ConvertDateTime($time, '', 'g:ia');
}
for ($i = 1; $i <= $netcalls[0]; $i++) {
    $time = $netcalls[$i]['time'] . ' ' . date("O");
    $netcallerTime[$i] = ConvertDateTime($time, '', 'g:ia');
}

// Output header
$pagetitle = "Today's Callers";
include($themepath . '/templates/header.php');




// Output page
include($themepath . '/templates/todayscallers.php');

// Output footer
include($themepath . '/templates/footer.php');

?>