<?php if ($theme_tracker) { print "<!-- BEGIN TEMPLATE dispmsgs -->\n"; } ?>
<table cellspacing="0" cellpadding="0" width="100%">
    <tr>
        <td align="left">
            <span class="pageHeading"><?php print HtmlSpace($GLOBALS['VA_MAIN']['bbsname']); ?> Message Area</span>
            <hr>
            Casually read the BBS message area using an easy to use interface. Messages are categorized exactly like they are on the BBS. You may post new messages or reply to existing messages!
            <br /><br />

        <?php if (IsLoggedIn()) { ?>
            <span class="boldBody">You are logged in as: <?php print HtmlSpace($GLOBALS['USER']['handle']); ?></span> (#<?php print $GLOBALS['USER']['userno']; ?>)<br />
        <?php } else {
                ?>
                <span class="boldBody">
                You are not logged in. Login <a href="<?php print $rootDir; ?>bbslogin.php?url=<?php print urlencode(GetCurrentURL()); ?>">here</a> for full access privileges.
                </span><br />
        <?php } ?>
        </td>
    </tr>
</table>
<br />
<table cellspacing="0" cellpadding="0" width="100%" style="border-bottom: solid 3px #FFFFFF;">
    <tr>
        <td align="left">
            <?php if ($m > 25) { ?>
            <a class="msgnav" href="forum-dispmsg.php?t=<?php print $t; ?>&d=<?php print $d; ?>&m=<?php print $prevnum; ?>">Previous <?php print $prevcnt; ?></a> |
            <?php } ?>
            <?php if ($m < $msgcnt) { ?>
            <a class="msgnav" href="forum-dispmsg.php?t=<?php print $t; ?>&d=<?php print $d; ?>&m=<?php print $nextnum; ?>">Next <?php print $nextcnt; ?></a> |
            <?php } ?>
            <a class="msgnav" href="forum-dispdb.php?t=<?php print $t; ?>">Back to <?php print HtmlSpace($topicDesc); ?></a>
            &nbsp;<a class="msgnav" title="Back to Databases" href="forum-dispdb.php?t=<?php print $t; ?>">&lt;--</a>
            &nbsp;<a class="msgnav" title="Back to Topics" href="forum-disptopics.php">&lt;---</a>
        </td>
        <td align="right">
            <a class="msgnav" href="<?php print $rootDir; ?>index.php">Return to Home Page</a>
        </td>
    </tr>
</table>
<table cellspacing="0" cellpadding="2" width="100%" style="border: solid 1px #666666;">
    <tr>
        <td class="infoBarBody" colspan="5" height="33">
            <table cellspacing="0" cellpadding="0" width="100%" height="100%">
                <tr>
                    <td align="left" width="100%">
                        &nbsp;
                        <?php if ($db['networked']) { ?>
                        <img src="<?php print $themepath; ?>/img/networked.gif" alt="Networked Database" title="Networked Database" width="12" height="11">&nbsp;
                        <?php } else { ?>
                        <img src="<?php print $themepath; ?>/img/local.gif" alt="Local Database" title="Local Database" width="12" height="11">&nbsp;
                        <?php } ?>
                        <span class="notifyTitle"><?php print HtmlSpace($dbDesc); ?></span>
                        &nbsp;
                        <span class="notifySmall">[<?php print $m; ?> / <?php print $db['msgno']; ?>] Unread: <?php print ($db['msgno'] - $msgPointer); ?></span>
                    </td>

                    <?php if (($GLOBALS['CONFIG']['rssfeed']) && ($classDatabases->RssAccess($db))) { ?>
                    <td align="right" style="padding-right: 5px;">
                        <a href="<?php print GetCurrentUrl(0, 1, 0); ?>/forum-rss.php?t=<?php print $t; ?>&d=<?php print $d; ?>">
                        <img border="0" src="<?php print $themepath; ?>/img/rss_25.png" align="middle" width="25" height="25" alt="RSS" title="RSS"/>
                        </a>
                    </td>
                    <?php } ?>

                    <form action="search.php" name="search" method="GET">
                        <td align="right" style="padding-right: 5px;">
                            <input type="hidden" name="t" value="<?php print $t; ?>"/>
                            <input type="hidden" name="d" value="<?php print $d; ?>"/>
                            <input type="submit" class="submit" name="submit" value="Search"/>
                        </td>
                    </form>
                    <?php if ((IsLoggedIn()) && ($GLOBALS['USER']['securitylevel'] >= $db['minwritesl'])) { ?>
                    <form action="post-message.php" name="post" method="POST">
                        <td align="right">
                            <input type="hidden" name="referer" value="<?php print GetCurrentURL(); ?>" />
                            <input type="hidden" name="t" value="<?php print $t; ?>"/>
                            <input type="hidden" name="d" value="<?php print $d; ?>"/>
                            <input type="hidden" name="reply" value="0"/>
                            <input type="submit" class="submit" name="submit" value="New Post"/>
                        </td>
                    </form>
                    <?php } ?>
                </tr>
            </table>
        </td>
    </tr>
    <tr class="boldtopicsmall">
        <td width="30" height="15"></td>
        <td width="100" height="15" align="left" style="border-left: solid 1px #666666;">&nbsp;From&nbsp;</td>
        <td width="100" height="15" align="left" style="border-left: solid 1px #666666;">&nbsp;To&nbsp;</td>
        <td width="350" height="15" align="left" style="border-left: solid 1px #666666;">&nbsp;Subject&nbsp;</td>
        <td width="150" height="15" align="center" style="border-left: solid 1px #666666;">&nbsp;Date/Time&nbsp;</td>
    </tr>
    <?php if ($nomsgs) { ?>
    <tr>
        <td colspan="5"><br /><span class="boldBody">There are no messages in this database.</span><br /><br /></td>
    </tr>
    <?php } ?>


<?php for ($i = $m; $i >= ($m - 24); $i--) { ?>
<?php if ($i <= 0) { break; }?>
    <tr>
        <td width="30" height="30" align="center" nowrap style="background-color: #E2E2E2;border-top: solid 1px #666666;">
            <img border="0"
            <?php if ($forummessages[$i]['deleted'] == 1) { ?>
            src="<?php print $themepath; ?>/img/message-deleted.gif" alt="Message Marked for Deletion" title="Message Marked for Deletion"
            <?php } else if ($msgPointer < $i) { ?>
            src="<?php print $themepath; ?>/img/message-new.gif" alt="New Message" title="New Message"
            <?php } else { ?>
            src="<?php print $themepath; ?>/img/message.gif" alt="Message" title="Message"
            <?php } ?>
            width="11" height="11">
            <?php if ($forummessages[$i]['attfilename'] != '') { ?>
            <img border="0" src="<?php print $themepath; ?>/img/paperclip.gif" alt="Attached File" width="11" height="11">
            <?php } ?>
        </td>
        <td width="100" height="30" align="left" nowrap style="border-top: solid 1px #666666;border-left: solid 1px #666666;">
            <span class="boldBody">&nbsp;<?php print HtmlSpace($forummessages[$i]['from']); ?>&nbsp;</span>
        </td>
        <td width="100" height="30" align="left" nowrap style="background-color: #E2E2E2;border-top: solid 1px #666666;border-left: solid 1px #666666;">
            &nbsp;<?php print HtmlSpace($forummessages[$i]['to']); ?>&nbsp;
        </td>
        <td width="350" height="30" align="left" style="border-top: solid 1px #666666;border-left: solid 1px #666666;">
            &nbsp;
            <?php if (($forummessages[$i]['deleted'] != 1) ||
                ($GLOBALS['USER']['securitylevel'] >= 255) ||
                (($db['moderator'] == $GLOBALS['USER']['userno']) &&
                ($db['moderator'] > 0))) { ?>
            <a href="forum-viewmsg.php?t=<?php print $t; ?>&d=<?php print $d; ?>&m=<?php print $i; ?>">
            <?php if ($msgPointer < $i) { print '<b>' . HtmlSpace($forummessages[$i]['subject']) . '</b>'; } else { print HtmlSpace($forummessages[$i]['subject']); } ?></a>
            <?php } else {
            print HtmlSpace($forummessages[$i]['subject']);
            } ?>
            &nbsp;
            </td>
        <td width="150" height="30" align="center" nowrap style="background-color: #E2E2E2;border-top: solid 1px #666666;border-left: solid 1px #666666;">
            &nbsp;<?php print $forummessages[$i]['date']; ?>
            <span class="msgTime"><br />&nbsp;<?php print $forummessages[$i]['time']; ?><?php if (!$forummessages[$i]['tz']) { ?>*<?php } ?>&nbsp;</span>
        </td>
    </tr>
<?php } ?>


    <form name="msgupd" method="post" action="forum-dispmsg.php?t=<?php print $t; ?>&d=<?php print $d; ?>">
    <input type="hidden" name="msgupd" value="1" />
    <tr>
        <td class="infoBarBody" align="left" colspan="5" height="25" width="100%">&nbsp;
            <?php if (IsLoggedIn()) { ?>
            <a class="msgFooter" href="javascript: document.msgupd.submit()">Update Forum Message Pointers</a>
            <?php } ?>
        </td>
    </tr>
    </form>
</table>
<table cellspacing="0" cellpadding="0" width="100%">
    <tr>
        <td align="left">
            <?php if ($m > 25) { ?>
            <a class="msgnav" href="forum-dispmsg.php?t=<?php print $t; ?>&d=<?php print $d; ?>&m=<?php print $prevnum; ?>">Previous <?php print $prevcnt; ?></a> |
            <?php } ?>
            <?php if ($m < $msgcnt) { ?>
            <a class="msgnav" href="forum-dispmsg.php?t=<?php print $t; ?>&d=<?php print $d; ?>&m=<?php print $nextnum; ?>">Next <?php print $nextcnt; ?></a> |
            <?php } ?>
            <a class="msgnav" href="forum-dispdb.php?t=<?php print $t; ?>">Back to <?php print HtmlSpace($topicDesc); ?></a>
            &nbsp;<a class="msgnav" title="Back to Databases" href="forum-dispdb.php?t=<?php print $t; ?>">&lt;--</a>
            &nbsp;<a class="msgnav" title="Back to Topics" href="forum-disptopics.php">&lt;---</a>
        </td>
        <td align="right">
            <a class="msgnav" href="<?php print $rootDir; ?>index.php">Return to Home Page</a>
        </td>
    </tr>
</table>
<?php if ($theme_tracker) { print "<!-- END TEMPLATE dispmsgs -->\n"; } ?>