<?php if ($theme_tracker) { print "<!-- BEGIN TEMPLATE msg_info -->\n"; } ?>

<table cellspacing="0" cellpadding="0" width="100%" valign="top" align="center">
    <tr>
        <td width="40%" align="right" style="padding-right: 10px;">Subject:</td>
        <td align="left"><?php print HtmlSpace(htmlspecialchars(trim(StripASCIICodes(StripANSICodes(StripBBSCodes($msgInfo['subject'])))))); ?></td>
    </tr>
    <tr>
        <td width="40%" align="right" style="padding-right: 10px;">Date:</td>
        <td align="left"><?php print htmlspecialchars(trim($msgInfo['creation']) . ' (' . trim($msgInfo['daysold']) . ' days old)'); ?></td>
    </tr>
    <tr>
        <td width="40%" align="right" style="padding-right: 10px;">Length:</td>
        <td align="left"><?php print $msgInfo['msglength'] . ' bytes'; ?></td>
    </tr>
    <tr>
        <td width="40%" align="right" style="padding-right: 10px;">From:</td>
        <td align="left"><?php print htmlspecialchars(trim($msgInfo['fromhandle']) . $fromuserno . $fromnetnode . ' ' . $fromnetdesc); ?></td>
    </tr>
    <tr>
        <td width="40%" align="right" style="padding-right: 10px;">To:</td>
        <td align="left"><?php print htmlspecialchars(trim($msgInfo['tohandle']) . $touserno . $tonetnode . ' ' . $tonetdesc); ?></td>
    </tr>
    <tr>
        <td width="40%" align="right" style="padding-right: 10px;">Deleted:</td>
        <td align="left"><?php if ($msgInfo['deleted'] == 0) { print 'NO'; } else { print 'YES'; } ?></td>
    </tr>
    <tr>
        <td width="40%" align="right" style="padding-right: 10px;"><?php if ($db['dbtype'] == 'F') { print 'Offline:'; } else { print 'Read:'; } ?></td>
        <td align="left"><?php if ($msgInfo['offline'] == 0) { print 'NO'; } else { print 'YES'; } ?></td>
    </tr>
    <tr>
        <td width="40%" align="right" style="padding-right: 10px;">Att. File:</td>
        <td align="left">
            <?php
            if ($msgInfo['attfilename'] == '') {
            print 'NONE';
            } else {
            $filesize = $msgInfo['attfilesize'];
            if ($filesize >= 1073741824) {
            $filesize = round($filesize / 1073741824, 1) . 'GB';
            } else if ($filesize >= 1048576) {
            $filesize = round($filesize / 1048576, 1) . 'MB';
            } else if ($filesize >= 1024) {
            $filesize = intval($filesize / 1024) . 'KB';
            } else {
            $filesize = $filesize . ' bytes';
            }
            print $msgInfo['attfilename'] . ' (' . $filesize . ') (' . $msgInfo['downloadno'] . ' downloads)';
           }
           ?>
        </td>
    </tr>
    <tr>
        <form name="CloseInfo" action="javascript: window.close()">
        <td colspan="2" align="right">
            <hr>
            &nbsp;<input type="submit" class="submit" name="submit" value="Close"/>
        </td>
        </form>
    </tr>
</table>
<?php if ($theme_tracker) { print "<!-- END TEMPLATE msg_info -->\n"; } ?>