<?php if ($theme_tracker) { print "<!-- BEGIN TEMPLATE edituser -->\n"; } ?>
<table cellspacing="0" cellpadding="0" width="100%">
    <tr>
        <td align="left">
            <span class="pageHeading"><?php print HtmlSpace($GLOBALS['VA_MAIN']['bbsname']); ?> User Settings Editor</span>
            <hr>
            Edit Your Personal Information, Passwords and Other Settings
            <br /><br />

        <?php if (IsLoggedIn()) { ?>
            <span class="boldBody">You are logged in as: <?php print HtmlSpace($GLOBALS['USER']['handle']); ?></span> (#<?php print $GLOBALS['USER']['userno']; ?>)<br />
                <?php
                } else {
                ?>
                <span class="boldBody">
                You are not logged in. Login <a href="<?php print $rootDir; ?>bbslogin.php?url=<?php print urlencode(GetCurrentURL()); ?>">here</a> for full access privileges.
                </span><br />
        <?php } ?>
        </td>
    </tr>
    <?php if ($error != '') { ?>
    <tr>
        <td class="error" height="30" align="center" colspan="2" style="border: solid 1px #666666;"><i>ERROR:</i> <?php print $error; ?></td>
    </tr>
    <?php } ?>
</table>
<br />
<table cellspacing="0" cellpadding="0" width="100%" style="border-bottom: solid 3px #FFFFFF;">
    <tr>
        <td align="left">
            <?php if (isset($retURL)) { ?>
            <a class="msgnav" href="<?php print $retURL; ?>">Return to <?php print $retTXT; ?></a>
            <?php } else { ?>
            <a class="msgnav" href="<?php print $rootDir; ?>index.php">Return to Home Page</a>
            <?php } ?>
        </td>
        <td align="right"><a class="msgnav" href="<?php print $rootDir; ?>index.php">Return to Home Page</a></td>
    </tr>
</table>

<table cellspacing="0" cellpadding="4" width="100%" style="border: solid 1px #666666;">
    <tr>
        <td class="infoBarBody" align="left" colspan="2" style="padding: 5px 5px 5px 5px;">
            <span class="notifyTitle">Edit Your Settings</span>
        </td>
    </tr>
    <tr class="boldtopicsmall">
        <td align="left" height="15" width="100%" style="padding-left: 10px;">&nbsp;</td>
    </tr>
    <tr>
        <td class="boldBody" align="center" width="100%" height="25">
            Fields marked with "<span style="color: red">*</span>" are required.
        </td>
    </tr>
    <tr>
        <td align="center" width="100%" style="padding: 10px 20px 10px 20px;">


            <form name="edituser" method="post" action="edituser_process.php" onsubmit="return validate(edituser)">
            <input type="hidden" name="process" value="1" />
            <input type="hidden" name="referer" value="<?php print GetCurrentURL(); ?>" />
            <input type="hidden" name="userno" value="<?php print $GLOBALS['USER']['userno']; ?>" />

<?php // ================== START PERSONAL INFORMATION SECTION ======================== ?>
            <table cellspacing="0" cellpadding="2" width="100%" style="border: solid 1px #666666;">
                <tr>
                    <td class="boldtopicsmall" align="left" colspan="3" height="15" width="100%" style="padding-left: 10px;">Personal Information</td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        User Number:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <b><?php print $GLOBALS['USER']['userno']; ?></b>
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','userno'); ?>
                    </td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        Handle:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <b><?php print HtmlSpace($GLOBALS['USER']['handle']); ?></b>
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','handle'); ?>
                    </td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        <?php if (is_int(strpos($required, 'A'))) { ?>
                            <span style="color: #FF0000">*</span>
                        <?php } ?>
                        Real Name:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="text" class="text" name="realname" size="40" maxlength="40" value="<?php print $GLOBALS['USER']['realname']; ?>" title="Your Real Name" />
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','realname'); ?>
                    </td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        <?php if (is_int(strpos($required, 'B'))) { ?>
                            <span style="color: #FF0000">*</span>
                        <?php } ?>
                        Address:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="text" class="text" name="address" size="40" maxlength="40" value="<?php print $GLOBALS['USER']['address']; ?>" title="Your Address" />
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','address'); ?>
                    </td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        <?php if (is_int(strpos($required, 'C'))) { ?>
                            <span style="color: #FF0000">*</span>
                        <?php } ?>
                        City:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="text" class="text" name="city" size="32" maxlength="32" value="<?php print $GLOBALS['USER']['city']; ?>" title="Your City" />
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','city'); ?>
                    </td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        <?php if (is_int(strpos($required, 'D'))) { ?>
                            <span style="color: #FF0000">*</span>
                        <?php } ?>
                        State:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="text" class="text" name="state" size="3" maxlength="3" value="<?php print $GLOBALS['USER']['state']; ?>" title="Your State" />
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','state'); ?>
                    </td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        <?php if (is_int(strpos($required, 'E'))) { ?>
                            <span style="color: #FF0000">*</span>
                        <?php } ?>
                        Zip Code:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="text" class="text" name="zipcode" size="10" maxlength="10" value="<?php print $GLOBALS['USER']['zipcode']; ?>" title="Your Zip Code" />
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','zipcode'); ?>
                    </td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        <?php if (is_int(strpos($required, 'F'))) { ?>
                            <span style="color: #FF0000">*</span>
                        <?php } ?>
                        Phone Number:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="text" class="text" name="phone1a" size="2" maxlength="3" value="<?php print $phone1a; ?>" />-
                        <input type="text" class="text" name="phone1b" size="2" maxlength="3" value="<?php print $phone1b; ?>" />-
                        <input type="text" class="text" name="phone1c" size="3" maxlength="4" value="<?php print $phone1c; ?>" />
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','phone1'); ?>
                    </td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        <?php if (is_int(strpos($required, 'G'))) { ?>
                            <span style="color: #FF0000">*</span>
                        <?php } ?>
                        Data/Fax Number:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="text" class="text" name="phone2a" size="2" maxlength="3" value="<?php print $phone2a; ?>" />-
                        <input type="text" class="text" name="phone2b" size="2" maxlength="3" value="<?php print $phone2b; ?>" />-
                        <input type="text" class="text" name="phone2c" size="3" maxlength="4" value="<?php print $phone2c; ?>" />
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','phone2'); ?>
                    </td>
                </tr>
            </table>
            <br /><br />

<?php // ================== START BBS PASSWORD SECTION ================================ ?>
            <table cellspacing="0" cellpadding="2" width="100%" style="border: solid 1px #666666;">
                <tr>
                    <td class="boldtopicsmall" align="left" colspan="3" height="15" width="100%" style="padding-left: 10px;">Change BBS Password</td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        New BBS Password:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="password" class="text" name="bbspassword" size="8" maxlength="8" title="New BBS Password" />
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','bbspassword'); ?>
                    </td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        Verify Password:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="password" class="text" name="bbsverify" size="8" maxlength="8" title="Verify New Password" />
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','bbspassword'); ?>
                    </td>
                </tr>
            </table>
            <br /><br />

<?php // ================== START VADV PASSWORD SECTION =============================== ?>
            <table cellspacing="0" cellpadding="2" width="100%" style="border: solid 1px #666666;">
                <tr>
                    <td class="boldtopicsmall" align="left" colspan="3" height="15" width="100%" style="padding-left: 10px;">Change Website Password</td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        New Website Password:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="password" class="text" name="webpassword" size="32" maxlength="32" title="New Website Password" />
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','webpassword'); ?>
                    </td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        Verify Password:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="password" class="text" name="webverify" size="32" maxlength="32" title="Verify New Password" />
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','webpassword'); ?>
                    </td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        Use BBS Password for Website:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="checkbox" class="checkbox" name="resetwebpassword" value="1" title="Use Same Password for BBS and Website" />
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','resetwebpassword'); ?>
                    </td>
                </tr>
            </table>
            <br /><br />

<?php // ================== START OTHER SETTINGS SECTION ============================== ?>
            <table cellspacing="0" cellpadding="2" width="100%" style="border: solid 1px #666666;">
                <tr>
                    <td class="boldtopicsmall" align="left" colspan="3" height="15" width="100%" style="padding-left: 10px;">Other Settings</td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        Your Time Zone:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <select size="1" name="timezone" title="Your Time Zone">
                            <?php genTZOptions(); ?>
                        </select>
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','timezone'); ?>
                    </td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        HTML Encoding:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <select size="1" name="htmlencode">
                            <option value="0" <?php print (($GLOBALS['USER_SETTINGS']['htmlencode'] == 0) ? 'selected' : '') ?>>Basic Encoding</option>
                            <option value="1" <?php print (($GLOBALS['USER_SETTINGS']['htmlencode'] == 1) ? 'selected' : '') ?>>Enhanced Encoding</option>
                        </select>
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','htmlencode'); ?>
                    </td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        Auto Signature:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <select size="1" name="tagline">
                            <option value="0" <?php print (($GLOBALS['USER_SETTINGS']['tagline'] == 0) ? 'selected' : '') ?>>None</option>
                            <option value="1" <?php print (($GLOBALS['USER_SETTINGS']['tagline'] == 1) ? 'selected' : '') ?>>User Macro A</option>
                            <option value="2" <?php print (($GLOBALS['USER_SETTINGS']['tagline'] == 2) ? 'selected' : '') ?>>User Macro B</option>
                        </select>
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','tagline'); ?>
                    </td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        Forward Email Address:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="text" class="text" name="mailfwd" size="30" value="<?php print $fwdaddress; ?>" title="Forward Email Address" />
                        <select name="mailfwdnetno" size="1" style="width: 100px;">
                            <?php genMailFwdOptions(); ?>
                        </select>
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','mailfwd'); ?>
                    </td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        Website Theme:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <select size="1" name="theme" style="width: 130px;">
                            <?php for ($i=0; $i<$themecount; $i++) { ?>
                                <?php if (($themeinfo[$i]['themeSecLevel'] <= $GLOBALS['USER']['securitylevel']) &&
                                        (!$themeinfo[$i]['themeDisabled'] || $GLOBALS['USER']['securitylevel'] >= 254) &&
                                        !themeDeleted($i+1)) { ?>
                                    <option value="<?php print ($i+1); ?>" <?php if ($GLOBALS['USER_SETTINGS']['theme'] == $i+1) { print 'selected'; } ?>><?php print $themeinfo[$i]['themeName']; ?></option>
                                <?php } ?>
                            <?php } ?>
                        </select>
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','theme'); ?>
                    </td>
                </tr>
            </table>
            <table cellspacing="0" cellpadding="2" width="100%">
                <tr>
                <td align="center" colspan="3" width="100%" height="40" style="padding: 10px 0 10px 0;">
                        <input type="submit" class="submit" name="submit" value="Save" />
                        <input type="reset" class="submit" name="submit" value="Reset" />
                    </td>
                </tr>
            </table>
            </form>

        </td>
    </tr>

    <tr>
        <td class="infoBarBody" height="20" width="100%">&nbsp;</td>
    </tr>
</table>
<table cellspacing="0" cellpadding="0" width="100%">
    <tr>
        <td align="left">
            <?php if (isset($retURL)) { ?>
            <a class="msgnav" href="<?php print $retURL; ?>">Return to <?php print $retTXT; ?></a>
            <?php } else { ?>
            <a class="msgnav" href="<?php print $rootDir; ?>index.php">Return to Home Page</a>
            <?php } ?>
        </td>
        <td align="right"><a class="msgnav" href="<?php print $rootDir; ?>index.php">Return to Home Page</a></td>
    </tr>
</table>
<br />
<?php if ($theme_tracker) { print "<!-- END TEMPLATE edituser -->\n"; } ?>