<?php if ($theme_tracker) { print "<!-- BEGIN TEMPLATE searchresults -->\n"; } ?>
<table cellspacing="0" cellpadding="0" width="100%" border="0" style="border-collapse: collapse" bordercolor="#111111">
    <tr>
        <td align="left">
            <span class="pageHeading"><?php print HtmlSpace($GLOBALS['VA_MAIN']['bbsname']); ?> Search</span>
            <hr>
            <b>Search: <?php print $db['desc']; ?></b> - Search the message and file databases for specific information.<br /><br />

        <?php if (IsLoggedIn()) { ?>
            <span class="boldBody">You are logged in as: <?php print HtmlSpace($GLOBALS['USER']['handle']); ?></span> (#<?php print $GLOBALS['USER']['userno']; ?>)<br />
        <?php } else { ?>
                <span class="boldBody">
                You are not logged in. Login <a href="<?php print $rootDir; ?>bbslogin.php?url=<?php print urlencode(GetCurrentURL()); ?>">here</a> for full access privileges.
                </span><br />
        <?php } ?>
        </td>
    </tr>
</table>
<br />

<?php // Setup the previous/next links. ?>
<table cellspacing="0" cellpadding="0" width="100%" style="border-bottom: solid 3px #FFFFFF;">
    <tr>
        <td align="left">
            <?php if ($db['dbtype'] != 'E') { ?>
            <?php if ($prevlink) { ?>
            <a class="msgnav" href="search.php?t=<?php print $t; ?>&d=<?php print $d; ?>&m=<?php print $prevnum; ?>&search=<?php print $search; ?>&results=1">Previous <?php print $prevcnt; ?></a> |
            <?php } ?>
            <?php if ($nextlink) { ?>
            <a class="msgnav" href="search.php?t=<?php print $t; ?>&d=<?php print $d; ?>&m=<?php print $nextnum; ?>&search=<?php print $search; ?>&results=1">Next <?php print $nextcnt; ?></a> |
            <?php } ?>
            <a class="msgnav" href="search.php?t=<?php print $t; ?>&d=<?php print $d; ?>">Back to Search</a>
            &nbsp;<a class="msgnav" title="Back to <?php print HtmlSpace($dbDesc); ?>" href="<?php print $backbase; ?>.php?t=<?php print $t; ?>&d=<?php print $d; ?>">&lt;--</a>
            <?php } else { ?>
            &nbsp;&nbsp;
            <?php } ?>
        </td>
        <td align="right"><a class="msgnav" href="<?php print $rootDir; ?>index.php">Return to Home Page</a></td>
    </tr>
</table>

<?php if ($db['dbtype'] == 'F') { ?>
<?php // --- BEGIN FILE LAYOUT ------------------------------------------------------------------------ ?>

<table cellspacing="0" cellpadding="2" width="100%">
    <tr>
        <td class="infoBarBody" colspan="5" height="33" width="100%">
            <table cellspacing="0" cellpadding="0" width="100%" height="100%">
                <tr>
                    <td align="left" width="100%">
                        &nbsp;&nbsp;
                        <?php if (trim($db['desc']) != '') {
                            print '<span class="notifyTitle">' . HtmlSpace(htmlspecialchars($db['desc'])) . '</span>';
                        } else {
                            print '(No Description)';
                        }
                            print '<span class="notifySmall">&nbsp;&nbsp;[' . $msgno . ']</span>';
                        ?>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr class="boldtopicsmall">
        <td width="35" height="15"></td>
        <td width="360" height="15" align="left" style="border-left: solid 1px #666666;">&nbsp;Description</td>
        <td width="100" height="15" align="center" style="border-left: solid 1px #666666;">&nbsp;Filename</td>
        <td width="60" height="15" align="center" style="border-left: solid 1px #666666;">&nbsp;Size</td>
        <td width="175" height="15" align="center" style="border-left: solid 1px #666666;">Date/Time/Uploader</td>
    </tr>


    <?php // Run the loop that will display the results.
    for ($j=0; $j<count($filesearch); $j++) { ?>

    <?php if ($nofiles) { ?>
    <tr>
        <td colspan="5"><br /><br /><span class="boldBody">There are no files in this database.</span><br /><br /></td>
    </tr>
    <?php break; } ?>

    <tr>
        <td width="35" height="30" align="center" style="background-color: #E0C0F0;border-top: solid 1px #666666;white-space: nowrap;">
            <img border="0"
            <?php if ($filesearch[$j]['deleted'] == 0) { ?>
            src="<?php print $themepath; ?>/img/message.gif" alt="File" title="File"
            <?php } else { ?>
            src="<?php print $themepath; ?>/img/message-deleted.gif" alt="File Marked for Deletion" title="File Marked for Deletion"
            <?php } ?>
            width="11" height="11" />
            <?php if ($filesearch[$j]['filename'] != '') { ?>
            <img border="0" src="<?php print $themepath; ?>/img/paperclip.gif" alt="Attached File" width="11" height="11" />
            <?php } ?>
        </td>
        <td width="360" height="30" align="left" style="border-top: solid 1px #666666;border-left: solid 1px #666666;">
            <span class="boldBody">&nbsp;
            <a href="files-viewmsg.php?t=<?php print $t; ?>&d=<?php print $d; ?>&m=<?php print $filesearch[$j]['m']; ?>"><?php print HtmlSpace($filesearch[$j]['subject']); ?></a>
            &nbsp;</span>
        </td>
        <td width="100" height="30"align="center" style="background-color: #E0C0F0;border-top: solid 1px #666666;border-left: solid 1px #666666;">
            <span class="boldBody">&nbsp;<?php print htmlspecialchars($filesearch[$j]['filename']); ?>&nbsp;</span>
        </td>
        <td width="60" height="30" align="center" style="border-top: solid 1px #666666;border-left: solid 1px #666666;">
            &nbsp;<?php print $filesearch[$j]['filesize']; ?>&nbsp;
        </td>
        <td width="175" height="30" align="center" style="background-color: #E0C0F0;border-top: solid 1px #666666;border-left: solid 1px #666666;">
            &nbsp;<?php print $filesearch[$j]['date']; ?><span class="msgTime">&nbsp;<?php print $filesearch[$j]['time']; ?></span><br />
            by <span class="boldBody"><?php print HtmlSpace($filesearch[$j]['from']); ?>&nbsp;</span>
        </td>
    </tr>
    <?php } ?>
    <tr>
        <td class="infoBarBody" align="left" colspan="5" height="25" width="100%">&nbsp;</td>
    </tr>
</table>

<?php // --- END FILE LAYOUT ----------------------------------------------------------------------------------- ?>
<?php } else if ($db['dbtype'] == 'E') { // --- BEGIN EMAIL LAYOUT (CURRENTLY NOT USED) --------------------------- ?>
<table width="100%" height="150" border="1"><tr><td align="center">NOT IMPLEMENTED</td></tr></table>
<?php // --- END EMAIL LAYOUT (NOT USED) ------------------------------------------------------------------------ ?>
<?php } else { // --- BEGIN MESSAGE LAYOUT ------------------------------------------------------------------------- ?>

<table cellspacing="0" cellpadding="2" width="100%" style="border: solid 1px #666666;">
    <tr>
        <td class="infoBarBody" colspan="5" height="33" width="100%">
            <table cellspacing="0" cellpadding="0" width="100%" height="100%">
                <tr>
                    <td align="left" width="100%">
                        <span class="notifyTitle">&nbsp;&nbsp;<?php print HtmlSpace($dbDesc); ?>&nbsp;&nbsp;</span>
                        <span class="notifySmall">[<?php print $msgno; ?>]</span>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr class="boldtopicsmall">
        <td width="35" height="15" ></td>
        <td width="100" height="15" align="left" style="border-left: solid 1px #666666;">&nbsp;From&nbsp;</td>
        <td width="100" height="15" align="left" style="border-left: solid 1px #666666;">&nbsp;To&nbsp;</td>
        <td width="345" height="15" align="left" style="border-left: solid 1px #666666;">&nbsp;Subject&nbsp;</td>
        <td width="150" height="15" align="center" style="border-left: solid 1px #666666;">&nbsp;Date/Time&nbsp;</td>
    </tr>


    <?php // Run the loop that will display the results.
    for ($j=0; $j<count($msgsearch); $j++) { ?>

    <?php if ($nomsgs) { ?>
    <tr>
        <td colspan="5"><br /><br /><span class="boldBody">There are no messages in this database.</span><br /><br /></td>
    </tr>
    <?php break; } ?>

    <tr>
        <td width="35" height="30" align="center" style="background-color: #E0C0F0;border-top: solid 1px #666666;">
            <img border="0"
            <?php if ($msgsearch[$j]['deleted'] == 1) { ?>
            src="<?php print $themepath; ?>/img/message-deleted.gif" alt="Message Marked for Deletion" title="Message Marked for Deletion"
            <?php } else { ?>
            src="<?php print $themepath; ?>/img/message.gif" alt="Message" title="Message"
            <?php } ?>
            width="11" height="11" />
            <?php if ($msgsearch[$j]['attfilename'] != '') { ?>
            <img border="0" src="<?php print $themepath; ?>/img/paperclip.gif" alt="Attached File" width="11" height="11" />
            <?php } ?>
        </td>
        <td width="100" height="30" align="left" style="border-top: solid 1px #666666;border-left: solid 1px #666666;">
            &nbsp;<?php print HtmlSpace($msgsearch[$j]['from']); ?>&nbsp;
        </td>
        <td width="100" height="30" align="left" style="background-color: #E0C0F0;border-top: solid 1px #666666;border-left: solid 1px #666666;">
            &nbsp;<?php print HtmlSpace($msgsearch[$j]['to']); ?>&nbsp;
        </td>
        <td width="345" height="30" align="left" style="border-top: solid 1px #666666;border-left: solid 1px #666666;">
            <span class="boldBody">&nbsp;
            <?php if (($msgsearch[$j]['deleted'] != 1) || ($GLOBALS['USER']['securitylevel'] >= 255) ||
                (($db['moderator'] == $GLOBALS['USER']['userno']) && ($db['moderator'] > 0))) { ?>
            <a href="forum-viewmsg.php?t=<?php print $t; ?>&d=<?php print $d; ?>&m=<?php print $msgsearch[$j]['m']; ?>"><?php print HtmlSpace($msgsearch[$j]['subject']); ?></a>
            <?php } else {
            $msgsearch[$j]['subject'];
            } ?>
            &nbsp;</span>
        </td>
        <td width="150" height="30" align="center" style="background-color: #E0C0F0;border-top: solid 1px #666666;border-left: solid 1px #666666;">
            &nbsp;<?php print $msgsearch[$j]['date']; ?></span>
            <span class="msgTime">&nbsp;<?php print $msgsearch[$j]['time']; ?>&nbsp;
        </td>
    </tr>
    <?php } ?>
    <tr>
        <td class="infoBarBody" align="left" colspan="5" height="25" width="100%">&nbsp;</td>
    </tr>
</table>

<?php // --- END MESSAGE LAYOUT -------------------------------------------------------------------------- ?>
<?php } ?>

<?php // Setup the previous/next links. ?>
<table cellspacing="0" cellpadding="0" width="100%">
    <tr>
        <td align="left">
            <?php if ($db['dbtype'] != 'E') { ?>
            <?php if ($prevlink) { ?>
            <a class="msgnav" href="search.php?t=<?php print $t; ?>&d=<?php print $d; ?>&m=<?php print $prevnum; ?>&search=<?php print $search; ?>&results=1">Previous <?php print $prevcnt; ?></a> |
            <?php } ?>
            <?php if ($nextlink) { ?>
            <a class="msgnav" href="search.php?t=<?php print $t; ?>&d=<?php print $d; ?>&m=<?php print $nextnum; ?>&search=<?php print $search; ?>&results=1">Next <?php print $nextcnt; ?></a> |
            <?php } ?>
            <a class="msgnav" href="search.php?t=<?php print $t; ?>&d=<?php print $d; ?>">Back to Search</a>
            &nbsp;<a class="msgnav" title="Back to <?php print HtmlSpace($dbDesc); ?>" href="<?php print $backbase; ?>.php?t=<?php print $t; ?>&d=<?php print $d; ?>">&lt;--</a>
            <?php } else { ?>
            &nbsp;&nbsp;
            <?php } ?>
        </td>
        <td align="right"><a class="msgnav" href="<?php print $rootDir; ?>index.php">Return to Home Page</a></td>
    </tr>
</table>
<br />
<?php if ($theme_tracker) { print "<!-- END TEMPLATE searchresults -->\n"; } ?>