<?php if ($theme_tracker) { print "<!-- BEGIN TEMPLATE voteresults -->\n"; } ?>
<table cellspacing="0" cellpadding="0" width="100%">
    <tr>
        <td align="left">
            <span class="pageHeading"><?php print HtmlSpace($GLOBALS['VA_MAIN']['bbsname']); ?> Voting Booth</span>
            <hr>
            Vote on any of our current polls and/or view the results.
            <br /><br />

        <?php if (IsLoggedIn()) { ?>
            <span class="boldBody">You are logged in as: <?php print HtmlSpace($GLOBALS['USER']['handle']); ?></span> (#<?php print $GLOBALS['USER']['userno']; ?>)<br />
                <?php
                } else {
                ?>
                <span class="boldBody">
                You are not logged in. Login <a href="<?php print $rootDir; ?>bbslogin.php?url=<?php print urlencode(GetCurrentURL()); ?>">here</a> for full access privileges.
                </span><br />
        <?php } ?>
        </td>
    </tr>
</table>
<br />
<table cellspacing="0" cellpadding="0" width="100%" style="border-bottom: solid 3px #FFFFFF;">
    <tr>
        <td align="left"><a class="msgnav" href="<?php print $rootDir; ?>misc/vote.php">Back to Voting Booth</a></td>
        <td align="right"><a class="msgnav" href="<?php print $rootDir; ?>index.php">Return to Home Page</a></td>
    </tr>
</table>

<table cellspacing="0" cellpadding="0" width="100%" style="border: solid 1px #666666;">
    <tr>
        <td class="infoBarBody" align="left" colspan="4" style="padding: 5px 5px 5px 5px;">
            <span class="notifyTitle">Voting Booth</span>
        </td>
    </tr>
    <tr class="boldtopicsmall">
        <td align="left" colspan="4" height="15" width="100%" style="padding: 4px 0 4px 10px;"><?php print $voteInf[$question]['question']; ?></td>
    </tr>
    <?php
        for ($i = 1; $i <= $voteInf[$question]['respno']; $i++) {
            // Determine the stats...
            $stats = $classVoteDat->Stats($question);
            if ($stats[0] > 0) {
                $pct = round($stats[$i] / $stats[0] * 100);
            } else {
                $pct = 0;
            }
    ?>
    <tr <?php print (!IsOdd($i) ? 'style="background: #E0C0F0;"' : ''); ?>>
        <td align="left" width="400" height="20" style="border-top: solid 1px #666666;padding-left: 10px;">
            <b><?php print $i; ?>)</b> &nbsp;<?php print $voteInf[$question]['resp' . $i]; ?>
        </td>
        <td align="left" width="230" height="20" style="<?php if ($i == 1) { ?>border-top: solid 1px #666666;<?php } ?>border-left: solid 1px #666666;background-color: #E8E8E8;">
            <table cellpadding="0" cellspacing="0">
                <tr>
                    <td class="graphLeftYellow"></td>
                    <td <?php if ($stats[$i] > 0) { ?>class="graphMidYellow"<?php } ?> style="width: <?php print round(210 * ($pct / 100)); ?>px;"></td>
                    <td class="graphRightYellow"></td>
                </tr>
            </table>
        </td>
        <td align="center" width="45" height="20" style="border-top: solid 1px #666666;border-left: solid 1px #666666;">
            (<?php print $stats[$i]; ?>)
        </td>
        <td align="center" width="55" height="20" style="border-top: solid 1px #666666;border-left: solid 1px #666666;">
            <?php print $pct; ?>%
        </td>
    </tr>
    <?php } ?>

    <tr>
        <td class="infoBarBody" colspan="4" height="20" width="100%" style="padding-left: 5px;">
            <span class="msgFooter">Total Number of Responses:&nbsp;&nbsp;<?php print $stats[0]; ?></span>
            <?php if ($GLOBALS['USER']['securitylevel'] >= 255) {
                if ($show) { ?>
                    &nbsp;&nbsp;|&nbsp;&nbsp;<span class="notifyTitle"><i>SYSOP:</i></span>
                    <a class="infoBarBody" href="vote.php?results=<?php print $question; ?>" title="Hide User Responses">Hide Responses</a>
                <?php } else{ ?>
                    &nbsp;&nbsp;|&nbsp;&nbsp;<span class="notifyTitle"><i>SYSOP:</i></span>
                    <a class="infoBarBody" href="vote.php?results=<?php print $question; ?>&show" title="Show User Responses">Show Responses</a>
                <?php } ?>
            <?php } ?>
        </td>
    </tr>
</table>

<?php
if ($GLOBALS['USER']['securitylevel'] >= 255) {
if ($show) { ?>
<br /><br />

<table cellspacing="0" cellpadding="0" width="100%" style="border: solid 1px #666666;">
    <tr>
        <td class="infoBarBody" align="left" colspan="6" style="padding: 5px 5px 5px 5px;">
            <span class="notifyTitle">User Responses</span>
        </td>
    </tr>
    <tr class="boldtopicsmall">
        <td align="right" width="55" height="15" width="100%" style="padding: 4px 5px 4px 0;">Voter</td>
        <td align="right" width="55" height="15" width="100%" style="border-left: solid 1px #666666;padding: 4px 5px 4px 0;">User #</td>
        <td align="center" width="35" height="15" width="100%" style="border-left: solid 1px #666666;padding: 4px 0 4px 0;">Edit</td>
        <td align="left" width="255" height="15" width="100%" style="border-left: solid 1px #666666;padding: 4px 0 4px 10px;">Handle</td>
        <td align="left" width="255" height="15" width="100%" style="border-left: solid 1px #666666;padding: 4px 0 4px 10px;">Real Name</td>
        <td align="center" width="75" height="15" width="100%" style="border-left: solid 1px #666666;padding: 4px 0 4px 0;">Response</td>
    </tr>

<?php
$votecount = 0;
for ($i = 1; (($i <= $classVadvUsers->Count()) || ($i <= $stats[0])); $i++) {
$userVote = $classVoteDat->Get($i, $question);
    if ($userVote > 0) {
    $user = $classUserfileDat->Get($i); ?>

    <tr>
        <td align="right" width="55" height="20" style="border-top: solid 1px #666666;padding-right: 5px;">
            <?php print str_pad($i, 4, ' ', STR_PAD_RIGHT); ?>
        </td>
        <td align="right" width="55" height="20" style="border-top: solid 1px #666666;border-left: solid 1px #666666;padding-right: 5px;">
            <?php print $user['userno']; ?>
        </td>
        <td align="center" width="35" height="20" style="border-top: solid 1px #666666;border-left: solid 1px #666666;">
            <a href="<?php print $rootDir; ?>misc/usereditor.php?u=<?php print $user['userno']; ?>&ref=voteresults&results=<?php print $_GET['results']; ?>&show" title="Edit User">
            <img src="<?php print $themepath; ?>/img/edit.png" border="0" width="15" height="15" alt=""/>
            </a>
        </td>
        <td align="left" width="255" height="20" style="border-top: solid 1px #666666;border-left: solid 1px #666666;padding-left: 10px;">
            <span class="boldBody"><a href="userinfo.php?u=<?php print $user['userno']; ?>&ref=voteresults&results=<?php print $_GET['results']; ?>&show" title="View User Info"><?php print HtmlSpace($user['handle']); ?></span>
        </td>
        <td align="left" width="255" height="20" style="border-top: solid 1px #666666;border-left: solid 1px #666666;padding-left: 10px;">
            <?php print HtmlSpace($user['realname']); ?>
        </td>
        <td align="center" width="75" height="20" style="border-top: solid 1px #666666;border-left: solid 1px #666666;">
            No. <?php print $userVote; ?>
        </td>
    </tr>
<?php
    $votecount++;
    }
}
?>
    <tr>
        <td class="infoBarBody" colspan="6" height="20" width="100%" style="padding-left: 5px;">&nbsp;</td>
    </tr>
</table>
<?php
    }
}
?>




<table cellspacing="0" cellpadding="0" width="100%">
    <tr>
        <td align="left"><a class="msgnav" href="<?php print $rootDir; ?>misc/vote.php">Back to Voting Booth</a></td>
        <td align="right"><a class="msgnav" href="<?php print $rootDir; ?>index.php">Return to Home Page</a></td>
    </tr>
</table>
<br />
<?php if ($theme_tracker) { print "<!-- END TEMPLATE voteresults -->\n"; } ?>