<?php
/*
 * ----------------------------------------------------------------------------
 * Who.php                                                           12/22/2009
 * This script will display the who's online screen for all configured nodes of
 * your BBS.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2009 Steve Winn. All Rights Reserved.
 *
 * For licensing information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

$GLOBALS['VA_ACTION'] = 'Viewing Who\'s Online';

require_once('include_dir.php');
require_once($includeDir . 'vadv-php.inc.php');

$classControlDat = new datControl;

define('NOINDEX', true);

$who = $classControlDat->Get();

// Display only first 10 channels.
$maxChannel = 10;
if ($GLOBALS['VA_MAIN']['maxchannelno'] < $maxChannel) {
    $maxChannel = $GLOBALS['VA_MAIN']['maxchannelno'];
}
if ($who['nodetotal'] < $maxChannel) {
    $maxChannel = $who['nodetotal'];
}

// Turn on page refresh
define("USE_REFRESH", true);

// Output header
$pagetitle = 'Who\'s Online';
include($themepath . '/templates/header.php');


$webUsers = $GLOBALS['VA_USERS'];
$webGuests = 0;
$webMembers = 0;

// Display only first 10 web users (members & guests alike)
$maxWebUsers = 10;
$totalWebUsers = $webUsers[0];
if ($totalWebUsers < $maxWebUsers) {
    $maxWebUsers = $totalWebUsers;
}

for ($i = 1; $i < $maxWebUsers; $i++) {
    if ($webUsers[$i]['userno'] == 0) {
        $webGuests++;
    }
    if ($webUsers[$i]['userno'] > 0) {
        $webMembers++;
    }
}




// Output page
include($themepath . '/templates/whosonline.php');

// Output footer
include($themepath . '/templates/footer.php');


?>