<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<?php if ($theme_tracker) { print "<!-- BEGIN TEMPLATE admin_header -->\n"; } ?>
<html xmlns="http://www.w3.org/1999/xhtml" dir="ltr" lang="en" xml:lang="en">
<head>

<title><?php if ($pagetitle != '') { print '[' . $pagetitle . '] - '; } print HtmlSpace($GLOBALS['VA_MAIN']['bbsname']); ?>'s VADV-PHP Administration</title>

<meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<meta http-equiv="imagetoolbar" content="no" />
<meta name="distribution" content="global" />
<meta name="copyright" content="Copyright &#169; <?php print date('Y'); ?>, Steve Winn" />
<meta name="description" content="" />
<meta name="keywords" content="" />
<?php
if (defined('USE_REFRESH') && $GLOBALS['CONFIG']['refresh'] > 0) {
    print '<meta http-equiv="refresh" content="' . $GLOBALS['CONFIG']['refresh'] . '" />' . "\n";
}
?>

<link rel="stylesheet" type="text/css" href="<?php print $themepath; ?>/css/mainstyle.css" />

<?php
// This ports the $themepath variable to javascript so you're able to use the var themepath
// in a script to get the theme path (./themes/ThemeName)
?>
<script type="text/javascript">
var themepath = "<?php print $themepath; ?>";
</script>

<?php
// $hdr_include is used to include scripts, etc., into the <head> tag of a themed header
// (Done on a page-by-page basis, when you need it)
if ($hdr_include != '') {
    print $hdr_include;
}
?>

<!--[if IE]>
<style type="text/css">

/* ============ Fixes for Internet Explorer ============ */

#nodelistContent {
    left: 24px;
}
.nodelisthdr {
    position: relative;
    top: -6px;
}
input.radio {
    vertical-align: middle;
}
input.submit, button.submit {
    padding-bottom: 0;
}
</style>
<![endif]-->

</head>
<body>
<div id="mainframe" align="center">
<div id="main">

<div id="head" align="center">
<table cellpadding="0" cellspacing="0" style="padding: 5px 5px 5px 5px;" width="100%" height="50">
    <tr>
        <td class="hdrTitle" align="left" width="550"><?php print HtmlSpace($GLOBALS['VA_MAIN']['bbsname']); ?>'s VADV-PHP Administration</td>
        <td align="right" width="180"><a href="http://www.vadvphp.com">
            <img border="0" src="<?php print $themepath; ?>/img/vadv-php_blue.gif" alt="VADV-PHP" title="VADV-PHP" width="50" height="50" align="right"></a>
        </td>
    </tr>
</table>
</div> <!-- head -->

<div id="page">
<table cellspacing="0" cellpadding="0" width="100%">
    <tr>
        <td align="left">
            <b><?php print HtmlSpace($GLOBALS['VA_MAIN']['bbsname']); ?></b> Administration</span>
            <hr>
            The web version of VConfig, VADV's configuration utility, and VADV-PHP's configuration center where you can control almost all settings of your BBS
            and Website.
            <br /><br />

        <?php if (IsLoggedIn()) { ?>
            <span class="boldBody">You are logged in as: <?php print HtmlSpace($GLOBALS['USER']['handle']); ?></span> (#<?php print $GLOBALS['USER']['userno']; ?>)<br />
        <?php } ?>
        </td>
    </tr>
</table>
<br />
<table cellspacing="0" cellpadding="0" width="100%" style="border-bottom: solid 3px #FFFFFF;">
    <tr>
        <td align="left"><a class="msgnav" href="<?php print $rootDir; ?>index.php">Return to Home Page</a></td>
        <td align="right"><a class="msgnav" href="<?php print $rootDir; ?>index.php">Return to Home Page</a></td>
    </tr>
</table>

<table cellspacing="0" cellpadding="0" width="100%" valign="top" align="center">
    <tr>
        <!-- Start Left column -->
        <td width="180" align="center" valign="top" height="200" style="padding-right: 5px;">

            <?php include($themepath . '/templates/admin/admin_mainmenu.php'); ?>

            <?php $adminBox = 1; include($themepath . '/templates/webusers_box.php'); ?>

            <?php include($themepath . '/templates/themepicker_box.php'); ?>

        </td>


        <!-- Start Main Column -->
        <td align="center" valign="top" width="530" style="padding-left: 5px;">

<?php if ($theme_tracker) { print "<!-- END TEMPLATE admin_header -->\n"; } ?>