<?php if ($theme_tracker) { print "<!-- BEGIN TEMPLATE login_box -->\n"; } ?>
<?php print $enc_script; ?>
<?php if (!$status) { ?>
<script language="JavaScript" type="text/javascript">
<!--
    var submitted = 0;
    function validate(form) {
        if (submitted == 0) {
            if ((form.username.value.length == 0) ||
                (form.password.value.length == 0)) {
                alert("Please enter a username and password.");
                form.username.focus();
                return false;
            } else if (form.username.value.length > 40) {
                alert("The username cannot be longer than 40 characters.");
                form.username.focus();
                return false;
            } else if (form.password.value.length > 32) {
                alert("The password cannot be longer than 32 characters.");
                form.password.focus();
                return false;
            } else {
                form.enc.value = form.password.value.toUpperCase();
<?php
    switch ($GLOBALS['CONFIG']['encryption']) {
        case 'md5':
            print 'form.enc.value = hex_md5(form.enc.value);' . "\n";
            print 'form.enc.value = "|enc|" + hex_hmac_md5(form.id.value, form.enc.value);' . "\n";
            break;
        case 'sha1':
            print 'form.enc.value = hex_sha1(form.enc.value);' . "\n";
            print 'form.enc.value = "|enc|" + hex_hmac_sha1(form.id.value, form.enc.value);' . "\n";
            break;
        case 'sha256':
            //print 'form.enc.value = SHA256_hash(form.enc.value);' . "\n";
            //print 'form.enc.value = "|enc|" + HMAC_SHA256_MAC(form.id.value, form.enc.value);' . "\n";
            print 'form.enc.value = hex_sha256(form.enc.value);' . "\n";
            print 'form.enc.value = "|enc|" + hex_hmac_sha256(form.id.value, form.enc.value);' . "\n";
            break;
        default:
            break;
    }
?>
                form.password.value = "";
                form.id.value = "";
                submitted = 1;
                return true;
            }
        } else {
            return false;
        }
    }
//-->
</script>
<table class="infoBarBody" cellspacing="0"cellpadding="4" width="100%" >
    <form name="login" method="POST" action="<?php print $rootDir; ?>login.php" onsubmit="return validate(login)">
    <input type="hidden" name="referer" value="<?php print GetCurrentURL(0); ?>" />
    <tr>
        <td class="infoBarTopic" align="left" colspan="2">Login</td>
    </tr>
    <script language="JavaScript" type="text/javascript">
    <!--
        document.write('<input type="hidden" name="id" value="<?php print $loginId; ?>" />');
        document.write('<input type="hidden" name="enc" value="" />');
    -->
    </script>
    <?php if (isset($_GET['url'])) { ?>
        <input type="hidden" name="url" value="<?php print $_GET['url']; ?>" />
    <?php } ?>
    <noscript>
    <tr>
        <td class="notify" align="center" colspan="2">
            <?php if ($GLOBALS['CONFIG']['requiresecurelogin']) { ?>
            Your browser has JavaScript disabled. It is required to login.
            <?php } else { ?>
            Enable JavaScript for a more secure login!
            <?php } ?>
        </td>
    </tr>
    </noscript>
    <?php if ($loginerror != '') { ?>
    <tr>
        <td class="notify" align="center" colspan="2"><?php print $loginerror; ?></td>
    </tr>
    <?php } ?>
    <tr>
        <td colspan="2">
            <?php if (($GLOBALS['USER']['userno'] == 0) || ($GLOBALS['USER']['userno'] == $GLOBALS['CONFIG']['guestacct'])) { ?>
            Login here using your BBS account information! If you do not have an account,
            <?php if ($GLOBALS['VA_MAIN']['newuserpw'] == hash($GLOBALS['CONFIG']['encryption'], strtoupper(''))) { ?>
            you may <a class="infoBarBody" href="register.php">create one</a>.
            <?php } else { ?>
            connect to the BBS to create one.
            <?php } ?>
            <?php } ?>
        </td>
    </tr>
    <tr>
        <td align="right" width="40%">Username:</td>
        <td align="left"><input type="text" class="text" name="username" size="11" maxlength="40" /></td>
    </tr>
    <tr>
        <td align="right" width="40%">Password:</td>
        <td align="left"><input type="password" class="text" name="password" size="11" maxlength="32" /></td>
    </tr>
    <tr>
        <td align="center" colspan="2" width="100%">
            <?php if ($GLOBALS['CONFIG']['cookielife'] > 0) { ?>
            <input type="checkbox" class="checkbox" name="remember" value="1" /> Remember Me<br />
            (expires in
                <?php
                    if ($GLOBALS['CONFIG']['cookielife'] == 1) {
                        print $GLOBALS['CONFIG']['cookielife'] . ' day';
                    } else {
                        print $GLOBALS['CONFIG']['cookielife'] . ' days';
                    } ?>
                )
            <?php } ?>
        </td>
    </tr>
    <tr>
        <td align="center" colspan="2" width="100%">
            <input type="submit" class="submit" name="submit" value="Login" />
        </td>
    </tr>
    </form>
</table>
<script language="JavaScript" type="text/javascript">
<!--
document.login.username.focus();
//-->
</script>
<?php } else { ?>
<table class="infoBarBody" cellspacing="0" cellpadding="4" width="100%">
    <form method="POST" action="login.php">
    <input type="hidden" name="logoff" value="logoff" />
    <input type="hidden" name="referer" value="<?php print GetCurrentURL(); ?>" />
    <tr>
        <td class="infoBarTopic" align="left" colspan="2">Login</td>
    </tr>
    <tr>
        <td align="center">
            <span class="infoBarBold">You are logged in as: <?php print HtmlSpace($GLOBALS['USER']['handle']); ?></span>
            (#<?php print $GLOBALS['USER']['userno']; ?>)<br /><br />
            <input type="submit" class="submit" name="submit" value="Logoff" /><br />
        </td>
    </tr>
    </form>
</table>
<?php } ?>
<br />
<?php if ($theme_tracker) { print "<!-- END TEMPLATE login_box -->\n"; } ?>