<?php if ($theme_tracker) { print "<!-- BEGIN TEMPLATE nodelist -->\n"; } ?>
<table cellspacing="0" cellpadding="0" width="100%">
    <tr>
        <td align="left">
            <span class="pageHeading"><?php print HtmlSpace($GLOBALS['VA_MAIN']['bbsname']) . ' - ' . $networks[$netNo]['desc'] . ' ' . $pagetitle; ?></span>
            <hr>
            Current Node List for the <?php print $networks[$netNo]['desc']; ?> Network
            <br /><br />

        <?php if (IsLoggedIn()) { ?>
            <span class="boldBody">You are logged in as: <?php print HtmlSpace($GLOBALS['USER']['handle']); ?></span> (#<?php print $GLOBALS['USER']['userno']; ?>)<br />
                <?php
                } else {
                ?>
                <span class="boldBody">
                You are not logged in. Login <a href="<?php print $rootDir; ?>bbslogin.php?url=<?php print urlencode(GetCurrentURL()); ?>">here</a> for full access privileges.
                </span><br />
        <?php } ?>
        </td>
    </tr>
</table>
<br />
<table cellspacing="0" cellpadding="0" width="100%" style="border-bottom: solid 3px #FFFFFF;">
    <tr>
        <td align="left"><a class="msgnav" href="<?php print $rootDir; ?>misc/dispnet.php">Back to Network Listing</a></td>
        <td align="right"><a class="msgnav" href="<?php print $rootDir; ?>index.php">Return to Home Page</a></td>
    </tr>
</table>

<table cellspacing="0" cellpadding="4" width="100%" style="border: solid 1px #666666;">
    <tr>
        <td class="infoBarBody" align="left" style="padding: 5px 5px 5px 5px;">
            &nbsp;<span class="notifyTitle"><?php print $networks[$netNo]['desc']; ?></span><span class="notifySmall"> Node List</span>
        </td>
    </tr>

    <tr>
        <td align="center" valign="top" width="100%" style="background-color: #222222;padding: 0 0 5px 0;">
<div id="nodelistContent" align="left">
<div id="nodelistHdrBar"></div>

<?php
if ((!file_exists($filename)) || (filesize($filename) == 0)) { ?>
    <tr>
        <td class="boldBody" height="50" align="center" style="background-color: #222222;color: #FFFFFF;">Node List Not Found!</td>
    </tr>
<?php } else {
    // Read and close the file.
    $file = file($filename);

    // Print each line and convert heart codes to html.
    print '<pre>' . "\n";
    $line = $startLine;
    for ($i = 0; (isset($file[$line]) && ($i < $maxlines)); $i++) {

        // If this is a VNET-style network, look for and style the
        // column header text
        if (strstr($file[$line], "Node         Name")) {
            print '<span class="nodelisthdr">';
            print $file[$line];
            print '</span><br />';
        }else
        // If this is a VNET-style network, look for and style the
        // column header ------- separator lines (make 'em dissappear)
        if (strstr($file[$line], '---------    ----')) {
            // do nothing
        }else{
            if ($line == $startLine) { print '<br /><br />'; }

            // Use a modified copy of the FixHeartColors() function to reformat
            // the nodelist lines
            // Usage: ThemeFixHeartColors(fileline, [color], [fontsize])
            // Where [color] is to make all text same color, [fontsize] is size of font
            // in pixels, i.e., '13'
            print ThemeFixHeartColors(htmlspecialchars($file[$line]), '', '15');
        }
        $line++;
    }
    print "</pre>\n";
}
?>
</div>
<?php
if ($startLine >= $maxlines) {
    $j = $startLine - $maxlines;
    if ($j < 0) {
        $j = 0;
    }
    $showPrev = 1;
}
if (($i >= $maxlines) &&
    (isset($file[$line + 1]))) {
    $showNext = 1;
}
?>
            <?php if ($showPrev) { ?>
            <span class="infoBarBold"> - <a class="msgFooter" href="dispnet.php?net=<?php print $netNo; ?>&l=<?php print $j; ?>">Previous Page</a> - </span>
            <?php } ?>
            <?php if ($showNext) { ?>
            <span class="infoBarBold"> - <a class="msgFooter" href="dispnet.php?net=<?php print $netNo; ?>&l=<?php print $line; ?>">Next Page</a> - </span>
            <?php } ?>
</div>

        </td>
    </tr>
    <tr>
        <td class="infoBarBody" height="20" width="100%">&nbsp;</td>
    </tr>
</table>

<table cellspacing="0" cellpadding="0" width="100%">
    <tr>
        <td align="left"><a class="msgnav" href="<?php print $rootDir; ?>misc/dispnet.php">Back to Network Listing</a></td>
        <td align="right"><a class="msgnav" href="<?php print $rootDir; ?>index.php">Return to Home Page</a></td>
    </tr>
</table>
<br />
<?php if ($theme_tracker) { print "<!-- END TEMPLATE nodelist -->\n"; } ?>