<?php
/*
 * ----------------------------------------------------------------------------
 * Upload_Help.php                                                   12/29/2008
 * Upload Help File
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2008 Steve Winn. All Rights Reserved.
 *
 * For licensing information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

$GLOBALS['VA_ACTION'] = 'Uploading a File';

require_once('include_dir.php');
require_once($includeDir . 'vadv-php.inc.php');
require_once($includeDir. 'html_header.php');
?>

<html>

<head>
<title>Upload Help</title>
<meta name="robots" content="noindex,nofollow" />
<meta name="copyright" content="Copyright &#169; <?php print date("Y"); ?>, Steve Winn" />
<link rel="stylesheet" type="text/css" href="<?php print $themepath; ?>/css/help.css">
</head>

<body class="body" align="left" bgcolor="#000000">
<a name="post" />
<p>
    <span style="color: #FFFFFF"><b>Uploading a File</b></span>
    <br />
    To upload a file to the system follow these easy steps:
    <br /><br />
    You must first enter the filename of the file that you wish to send. You
    can either type in the full path to the file, or you can click the Browse
    button to search your hard drive for the file. When you have found the file,
    click Ok, and the path to the file will be automatically entered for you.
    <br /><br />
    Next you must give a description of the file that you are about to send.
    This description should be brief, but explains what the file is. If it
    contains a program, then give the program's name and a short description of
    what the program does.
    <br /><br />
    The long description is where you can go into more detail about the file.
    If the file is compressed and contains a FILE_ID.DIZ file, then you may
    want to copy and paste the contents of that file into the long description
    field.
    <br /><br />
    When you are completed and ready to upload, just click the Submit button.
    Depending on the file size, it could take a moment for the file to be sent.
    If an error occurs, you will be notified.
</p>
</body>

</html>