<?php
/*
 * ----------------------------------------------------------------------------
 * VConfig_Paths_Help.php                                            12/29/2008
 * SysPaths Configuration Help File
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2008 Steve Winn. All Rights Reserved.
 *
 * For licensing information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

$GLOBALS['VA_ACTION'] = 'SysOp Function';

require_once('include_dir.php');
require_once($includeDir . 'vadv-php.inc.php');
require_once($includeDir. 'html_header.php');
?>

<html>

<head>
<title>System Paths Help</title>
<meta name="robots" content="noindex,nofollow" />
<meta name="copyright" content="Copyright &#169; <?php print date("Y"); ?>, Steve Winn" />
<link rel="stylesheet" type="text/css" href="<?php print $themepath; ?>/css/help.css">
</head>

<body class="body" align="left" bgcolor="#000000">

<p>
    <span style="color: #FFFFFF"><b>System Paths</b></span>
    <br />
    Warning: You are allowed to change your system path settings with this
    utility. By doing so, you could cause VADV-PHP to stop responding, as well
    as cause the BBS to crash. Before changing any paths, be certain that the
    path you are changing to is valid. This utility is provided for conveinence,
    but it is recommended that you do any path changes by using the VADV VConfig
    utility to avoid problems.
    <br /><br />
    Any path changes you make must be a local path relative to the BBS. They
    also have to be accessible by the BBS software. Do not use any network paths.
</p>

</body>

</html>