<?php if ($theme_tracker) { print "<!-- BEGIN TEMPLATE admin_usereditor -->\n"; } ?>
<table cellspacing="0" cellpadding="0" width="100%">
    <tr>
        <td align="left">
            <span class="pageHeading"><?php print HtmlSpace($GLOBALS['VA_MAIN']['bbsname']); ?> SysOp User Editor</span>: <?php print HtmlSpace($user['handle']); ?>
            <hr>
            Edit <?php print HtmlSpace($user['handle']); ?>'s Personal Information, Passwords, Security Level, BBS and Other Settings
            <br /><br />

        <?php if (IsLoggedIn()) { ?>
            <span class="boldBody">You are logged in as: <?php print HtmlSpace($GLOBALS['USER']['handle']); ?></span> (#<?php print $GLOBALS['USER']['userno']; ?>)<br />
                <?php
                } else {
                ?>
                <span class="boldBody">
                You are not logged in. Login <a href="<?php print $rootDir; ?>bbslogin.php?url=<?php print urlencode(GetCurrentURL()); ?>">here</a> for full access privileges.
                </span><br />
        <?php } ?>
        </td>
    </tr>
    <?php if ($error != '') { ?>
    <tr>
        <td class="error" height="30" align="center" colspan="2" style="border: solid 1px #666666;"><i>ERROR:</i> <?php print $error; ?></td>
    </tr>
    <?php } ?>
</table>
<br />
<table cellspacing="0" cellpadding="0" width="100%" style="border-bottom: solid 3px #FFFFFF;">
    <tr>
        <td align="left">
            <?php if (isset($retURL)) { ?>
            <a class="msgnav" href="<?php print $retURL; ?>">Return to <?php print $retTXT; ?></a>
            <?php } else { ?>
            <a class="msgnav" href="<?php print $rootDir; ?>index.php">Return to Home Page</a>
            <?php } ?>
        </td>
        <td align="right"><a class="msgnav" href="<?php print $rootDir; ?>index.php">Return to Home Page</a></td>
    </tr>
</table>


<table cellspacing="0" cellpadding="4" width="100%" style="border: solid 1px #666666;">
    <tr>
        <td class="infoBarBody" align="left" colspan="2" style="padding: 5px 5px 5px 5px;">
            <span class="notifyTitle">Edit <?php print HtmlSpace($user['handle']); ?>'s Settings</span>
        </td>
    </tr>
    <tr class="boldtopicsmall">
        <td align="left" height="15" width="100%" style="padding-left: 10px;">
            <span style="float: left;">
            <?php if ($user['userno'] > 1) { ?>
                <a class="boldtopicsmall" href="usereditor.php?<?php print $prevUser; ?>" title="Edit User #<?php print ($userno - 1); ?>">Previous User</a>
            <?php } ?>
            </span>
            <span style="float: right;">
            <?php if ($user['userno'] < $classVadvUsers->Count()) { ?>
                <a class="boldtopicsmall" href="usereditor.php?<?php print $nextUser; ?>" title="Edit User #<?php print ($userno + 1); ?>">Next User</a>
            <?php } ?>
            </span>
        </td>
    </tr>
    <tr>
        <td class="boldBody" align="center" width="100%" height="25">
            Fields marked with "<span style="color: red">*</span>" are required.
        </td>
    </tr>
    <tr>
        <td align="center" width="100%" style="padding: 10px 20px 10px 20px;">


            <form name="usereditor" method="post" action="usereditor_process.php" onsubmit="return validate(usereditor)">
            <input type="hidden" name="process" value="1" />
            <input type="hidden" name="referer" value="<?php print GetCurrentURL(); ?>" />
            <input type="hidden" name="userno" value="<?php print $user['userno']; ?>" />

<?php // ================== START PERSONAL INFORMATION SECTION ======================== ?>
            <table cellspacing="0" cellpadding="2" width="100%" style="border: solid 1px #666666;">
                <tr>
                    <td class="boldtopicsmall" align="left" colspan="3" height="15" width="100%" style="padding-left: 10px;">Personal Information</td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        User Number:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <b><?php print $userno; ?></b>
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','userno'); ?>
                    </td>
                </tr>

                <?php if ($userno > 1) { ?>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        &nbsp;
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <b><a class="return" href="<?php print GetCurrentUrl(0) . '?u=' . $userno . '&delete=1'; ?>" title="Delete <?php print $user['handle']; ?>">Delete this User</a></b>
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','delete'); ?>
                    </td>
                </tr>
                <?php } ?>

                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        Handle:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="text" class="text" name="handle" size="40" maxlength="40" value="<?php print $user['handle']; ?>" title="User's Handle" />
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','handle'); ?>
                    </td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        <?php if (is_int(strpos($required, 'A'))) { ?>
                            <span style="color: #FF0000">*</span>
                        <?php } ?>
                        Real Name:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="text" class="text" name="realname" size="40" maxlength="40" value="<?php print $user['realname']; ?>" title="User's Real Name" />
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','realname'); ?>
                    </td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        <?php if (is_int(strpos($required, 'B'))) { ?>
                            <span style="color: #FF0000">*</span>
                        <?php } ?>
                        Address:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="text" class="text" name="address" size="40" maxlength="40" value="<?php print $user['address']; ?>" title="User's Address" />
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','address'); ?>
                    </td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        <?php if (is_int(strpos($required, 'C'))) { ?>
                            <span style="color: #FF0000">*</span>
                        <?php } ?>
                        City:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="text" class="text" name="city" size="32" maxlength="32" value="<?php print $user['city']; ?>" title="User's City" />
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','city'); ?>
                    </td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        <?php if (is_int(strpos($required, 'D'))) { ?>
                            <span style="color: #FF0000">*</span>
                        <?php } ?>
                        State:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="text" class="text" name="state" size="3" maxlength="3" value="<?php print $user['state']; ?>" title="User's State" />
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','state'); ?>
                    </td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        <?php if (is_int(strpos($required, 'E'))) { ?>
                            <span style="color: #FF0000">*</span>
                        <?php } ?>
                        Zip Code:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="text" class="text" name="zipcode" size="10" maxlength="10" value="<?php print $user['zipcode']; ?>" title="User's Zip Code" />
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','zipcode'); ?>
                    </td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        <?php if (is_int(strpos($required, 'F'))) { ?>
                            <span style="color: #FF0000">*</span>
                        <?php } ?>
                        Phone Number:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="text" class="text" name="phone1a" size="2" maxlength="3" value="<?php print $phone1a; ?>" />-
                        <input type="text" class="text" name="phone1b" size="2" maxlength="3" value="<?php print $phone1b; ?>" />-
                        <input type="text" class="text" name="phone1c" size="3" maxlength="4" value="<?php print $phone1c; ?>" />
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','phone1'); ?>
                    </td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        <?php if (is_int(strpos($required, 'G'))) { ?>
                            <span style="color: #FF0000">*</span>
                        <?php } ?>
                        Data/Fax Number:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="text" class="text" name="phone2a" size="2" maxlength="3" value="<?php print $phone2a; ?>" />-
                        <input type="text" class="text" name="phone2b" size="2" maxlength="3" value="<?php print $phone2b; ?>" />-
                        <input type="text" class="text" name="phone2c" size="3" maxlength="4" value="<?php print $phone2c; ?>" />
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','phone2'); ?>
                    </td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        <?php if (is_int(strpos($required, 'H'))) { ?>
                            <span style="color: #FF0000">*</span>
                        <?php } ?>
                        Birthdate:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="text" class="text" name="bdaymonth" size="2" maxlength="2" value="<?php print $user['bdaymonth']; ?>" style="text-align: right;padding-right: 5px;"/> /
                        <input type="text" class="text" name="bdayday" size="2" maxlength="2" value="<?php print $user['bdayday']; ?>" style="text-align: right;padding-right: 5px;"/> /
                        <input type="text" class="text" name="bdayyear" size="3" maxlength="4" value="<?php print $user['bdayyear']; ?>" style="text-align: right;padding-right: 5px;"/>
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','bday'); ?>
                    </td>
                </tr>
            </table>
            <br /><br />

<?php // ================== START BBS PASSWORD SECTION ================================ ?>
            <table cellspacing="0" cellpadding="2" width="100%" style="border: solid 1px #666666;">
                <tr>
                    <td class="boldtopicsmall" align="left" colspan="3" height="15" width="100%" style="padding-left: 10px;">Change BBS Password</td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        New BBS Password:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="password" class="text" name="bbspassword" size="8" maxlength="8" value="" title="New BBS Password"/>
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','bbspassword'); ?>
                    </td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        Verify Password:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="password" class="text" name="bbsverify" size="8" maxlength="8" value="" title="Verify New Password"/>
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','bbspassword'); ?>
                    </td>
                </tr>
            </table>
            <br /><br />

<?php // ================== START VADV PASSWORD SECTION =============================== ?>
            <table cellspacing="0" cellpadding="2" width="100%" style="border: solid 1px #666666;">
                <tr>
                    <td class="boldtopicsmall" align="left" colspan="3" height="15" width="100%" style="padding-left: 10px;">Change Website Password</td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        New Website Password:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="password" class="text" name="webpassword" size="32" maxlength="32" value="" title="New Website Password"/>
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','webpassword'); ?>
                    </td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        Verify Password:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="password" class="text" name="webverify" size="32" maxlength="32" value="" title="Verify New Password"/>
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','webpassword'); ?>
                    </td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        Use BBS Password for Website:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="checkbox" class="checkbox" name="resetwebpassword" value="1" title="Use Same Password for BBS and Website"/>
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','resetwebpassword'); ?>
                    </td>
                </tr>
            </table>
            <br /><br />

<?php // ================== START OTHER SETTINGS SECTION ============================== ?>
            <table cellspacing="0" cellpadding="2" width="100%" style="border: solid 1px #666666;">
                <tr>
                    <td class="boldtopicsmall" align="left" colspan="3" height="15" width="100%" style="padding-left: 10px;">Other Settings</td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        Last Online:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <?php print $lastOn; ?>
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','laston'); ?>
                    </td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        Security Level:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="text" class="text" name="securitylevel" size="1" maxlength="3" value="<?php print $user['securitylevel']; ?>" title="User's Security Level" style="text-align: right;padding-right: 5px;"/>
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','securitylevel'); ?>
                    </td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        Time Per Day:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="text" class="text" name="maxtime" size="2" maxlength="4" value="<?php print $user['maxtime']; ?>" title="User's Max Time Allowed" style="text-align: right;padding-right: 5px;"/>
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','maxtime'); ?>
                    </td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        Time Left Today:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="text" class="text" name="timeleft" size="2" maxlength="4" value="<?php print $timeleft; ?>" title="User's Time Left Today" style="text-align: right;padding-right: 5px;"/>
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','timeleft'); ?>
                    </td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        Time In Time Bank:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="text" class="text" name="timebank" size="3" maxlength="5" value="<?php print $user['timebank']; ?>" title="User's Time In Their Timebank Account" style="text-align: right;padding-right: 5px;"/>
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','timebank'); ?>
                    </td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        Credits:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="text" class="text" name="credits" size="8" maxlength="8" value="<?php print $user['credits']; ?>" title="User's Credit Balance" style="text-align: right;padding-right: 5px;"/>
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','credits'); ?>
                    </td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        User Flags:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="text" class="text" name="flags" size="26" maxlength="26" value="<?php print $user['flags']; ?>" title="User's System Function Flags"/>
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','flags'); ?>
                    </td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        Access Flags:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="text" class="text" name="accflags" size="26" maxlength="26" value="<?php print $user['accflags']; ?>" title="User's Access Flags"/>
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','accflags'); ?>
                    </td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        Page Break Length:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="text" class="text" name="pagebreak" size="1" maxlength="3" value="<?php print $user['pagebreak']; ?>" title="Lines Before BBS Page Break" style="text-align: right;padding-right: 5px;"/>
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','pagebreak'); ?>
                    </td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        Video Mode:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <select class="select" size="1" name="videomode">
                            <?php for ($i=0; $i<5; $i++) { ?>
                            <option value="<?php print $i; ?>" <?php print $vmodeOption[$i]['selected']; ?>><?php print $vmodeOption[$i]['name']; ?></option>
                            <?php } ?>
                        </select>
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','videomode'); ?>
                    </td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        Default Xfer Protocol:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="text" class="text" name="protocol" size="1" maxlength="1" value="<?php print $user['protocol']; ?>" title="User's Default Transfer Protocol" style="text-align: right;padding-right: 5px;"/>
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','protocol'); ?>
                    </td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        File List Style:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <select size="1" name="liststyle">
                            <option value="1" <?php if ($user['liststyle'] == 1) print "selected"; ?>>Single Line</option>
                            <option value="0" <?php if ($user['liststyle'] == 0) print "selected"; ?>>Double Line</option>
                            <option value="2" <?php if ($user['liststyle'] == 2) print "selected"; ?>>Double Line w/ Ext</option>
                        </select>
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','liststyle'); ?>
                    </td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        Sorted File Listing:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="checkbox" class="checkbox" name="sortfilelst" value="1" <?php if ($user['sortfilelst'] == 1) { print "checked "; } ?> title="Sort User's File Listings"/>
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','sortfilelst'); ?>
                    </td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        Ratio Exempt:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="checkbox" class="checkbox" name="ratioexempt" value="1" <?php if ($user['ratioexempt'] == 0) { print "checked "; } ?> title="User Is Exempt From Ratios"/>
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','ratioexempt'); ?>
                    </td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        Verify Birthday:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="checkbox" class="checkbox" name="verifybday" value="1" <?php if ($user['verifybday'] == 1) { print "checked "; } ?> title="Force User To Verify Their Birthday"/>
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','verifybday'); ?>
                    </td>
                </tr>
                <tr>
                    <td align="right" valign="top" width="250" height="30" style="background: #C0B0F0;padding-top: 5px;padding-right: 10px;">
                        Forward Email Address:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="text" class="text" name="mailfwd" size="45" value="<?php print $mailFwdValue; ?>" title="Forward User's Email"/>
                        <select class="select" name="mailfwdnetno" size="1" style="width: 130px;">
                            <option value="0"<?php print $localSelect; ?>>Local</option>
                            <?php // Display the listing.
                            for ($i = 0; $i < count($net); $i++) {
                                $fwdOptSelect = ($user['mailfwdflag'] == 1 && $user['mailfwdnetno'] == $net[$i]['netno']) ? ' selected' : '';
                                print '<option value="' . $net[$i]['netno'] . '"'.$fwdOptSelect.'>' . $net[$i]['desc'] . ' (' . $net[$i]['type'] . ")</option>\n";
                            } ?>
                        </select>
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','mailfwd'); ?>
                    </td>
                </tr>
                <?php $tIndex = 35; for ($i=0; $i<8; $i++) { ?>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        Extra Value #<?php print $i+1; ?>:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="text" class="text" name="extra<?php print $i+1; ?>" size="12" maxlength="12" value="<?php print $user['extra'.($i+1)]; ?>" title="Extra Data #<?php print $i+1; ?>"/>
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','extra'); ?>
                    </td>
                </tr>
                <?php } ?>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        Optional User Comment:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="text" class="text" name="comment" size="16" maxlength="16" value="<?php print $user['comment']; ?>" title="User Note"/>
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','comment'); ?>
                    </td>
                </tr>
                </table>
                <br /><br />

<?php // ================== START OTHER SETTINGS SECTION ============================== ?>
            <table cellspacing="0" cellpadding="2" width="100%" style="border: solid 1px #666666;">
                <tr>
                    <td class="boldtopicsmall" align="left" colspan="3" height="15" width="100%" style="padding-left: 10px;">User Statistics</td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        Total Number of Calls:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="text" class="text" name="totalcalls" size="8" maxlength="8" value="<?php print $user['totalcalls']; ?>" title="User's Total Calls" style="text-align: right;padding-right: 5px;"/>
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','totalcalls'); ?>
                    </td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        Total Time Online:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="text" class="text" name="totaltime" size="8" maxlength="8" value="<?php print $user['totaltime']; ?>" title="User's Total Time Spent Logged In" style="text-align: right;padding-right: 5px;"/>
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','totaltime'); ?>
                    </td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        Files Uploaded:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="text" class="text" name="uplfiles" size="8" maxlength="8" value="<?php print $user['uplfiles']; ?>" title="User's Total Files Uploaded" style="text-align: right;padding-right: 5px;"/>
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','uplfiles'); ?>
                    </td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        Kb Uploaded:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="text" class="text" name="uplkb" size="8" maxlength="8" value="<?php print $user['uplkb']; ?>" title="User's Total Kilobytes Uploaded" style="text-align: right;padding-right: 5px;"/>
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','uplkb'); ?>
                    </td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        Files Downloaded:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="text" class="text" name="dlfiles" size="8" maxlength="8" value="<?php print $user['dlfiles']; ?>" title="User's Total Files Downloaded" style="text-align: right;padding-right: 5px;"/>
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','dlfiles'); ?>
                    </td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        Kb Downloaded:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="text" class="text" name="dlkb" size="8" maxlength="8" value="<?php print $user['dlkb']; ?>" title="User's Total Kilobytes Downloaded" style="text-align: right;padding-right: 5px;"/>
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','dlkb'); ?>
                    </td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        Number of Posts:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="text" class="text" name="totalposts" size="8" maxlength="8" value="<?php print $user['totalposts']; ?>" title="User's Total Message Posts" style="text-align: right;padding-right: 5px;"/>
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','totalposts'); ?>
                    </td>
                </tr>
                <tr>
                    <td align="right" width="250" height="30" style="background: #C0B0F0;padding-right: 10px;">
                        Number of Emails:
                    </td>
                    <td align="left" width="340" height="30" style="background: #E2E2E2;border-left: solid 1px #666666;padding-left: 10px;">
                        <input type="text" class="text" name="totalemail" size="8" maxlength="8" value="<?php print $user['totalemail']; ?>" title="User's Total Emails Sent" style="text-align: right;padding-right: 5px;"/>
                    </td>
                    <td align="left" width="100" height="30" style="background: #E2E2E2;">
                        <?php showHelp('edituser','totalemail'); ?>
                    </td>
                </tr>
            </table>
            <br /><br />

            <table cellspacing="0" cellpadding="2" width="100%">
                <tr>
                <td align="center" colspan="3" width="100%" height="40" style="padding: 10px 0 10px 0;">
                        <input type="submit" class="submit" name="submit" value="Save" />
                        <input type="reset" class="submit" name="submit" value="Reset" />
                    </td>
                </tr>
            </table>
            </form>


        </td>
    </tr>

    <tr class="boldtopicsmall">
        <td align="left" height="15" width="100%" style="padding-left: 10px;">
            <span style="float: left;">
            <?php if ($user['userno'] > 1) { ?>
                <a class="boldtopicsmall" href="usereditor.php?<?php print $prevUser; ?>" title="Edit User #<?php print ($userno - 1); ?>">Previous User</a>
            <?php } ?>
            </span>
            <span style="float: right;">
            <?php if ($user['userno'] < $classVadvUsers->Count()) { ?>
                <a class="boldtopicsmall" href="usereditor.php?<?php print $nextUser; ?>" title="Edit User #<?php print ($userno + 1); ?>">Next User</a>
            <?php } ?>
            </span>
        </td>
    </tr>
    <tr>
        <td class="infoBarBody" height="20" width="100%">&nbsp;</td>
    </tr>
</table>
<table cellspacing="0" cellpadding="0" width="100%">
    <tr>
        <td align="left">
            <?php if (isset($retURL)) { ?>
            <a class="msgnav" href="<?php print $retURL; ?>">Return to <?php print $retTXT; ?></a>
            <?php } else { ?>
            <a class="msgnav" href="<?php print $rootDir; ?>index.php">Return to Home Page</a>
            <?php } ?>
        </td>
        <td align="right"><a class="msgnav" href="<?php print $rootDir; ?>index.php">Return to Home Page</a></td>
    </tr>
</table>
<br />
<?php if ($theme_tracker) { print "<!-- END TEMPLATE admin_usereditor -->\n"; } ?>